%define module	Pango
%define	name	perl-%{module}
%define	version	1.223
%define	release	%mkrel 4
%define perl_glib_require 1.220

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl module for the Pango library
License:	GPL or Artistic
Group:	  	Development/GNOME and GTK+
Source:		http://prdownloads.sourceforge.net/gtk2-perl/%{module}-%{version}.tar.gz
URL:		http://gtk2-perl.sf.net/
BuildRequires:	perl-devel
BuildRequires:	perl-ExtUtils-Depends >= 0.300
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib >= %perl_glib_require
BuildRequires:	pango-devel perl-Cairo
# for test suite:
#BuildRequires:	fontconfig
#BuildRequires:	fonts-ttf-dejavu
Requires:	perl-Glib >= %perl_glib_require


%description
This module provides perl access to the gtk+-2.x library.

Pango is a library for laying out and rendering text, with an emphasis on
internationalization. Pango can be used anywhere that text layout is needed,
but using Pango in conjunction with Cairo and/or Gtk2 provides a complete
solution with high quality text handling and graphics rendering.

%package doc
Summary: Pango documentation
Group:   Documentation

%description doc
This package contains documentation of the Pango module.


%prep
%setup -q -n %{module}-%{version}
perl Makefile.PL INSTALLDIRS=vendor

%build
%make OPTIMIZE="%{optflags}"

%check
#xvfb-run %make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS LICENSE META.yml
%dir %{perl_vendorarch}/%{module}
%{perl_vendorarch}/%{module}.pm
%{perl_vendorarch}/%{module}/*/*.pm
%{perl_vendorarch}/%{module}/Install
%{perl_vendorarch}/auto/*

%files doc
%defattr(-, root, root)
%doc examples
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{module}
%{perl_vendorarch}/%{module}/*.pod
%{perl_vendorarch}/%{module}/*/*.pod


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.223-4.mga3
+ Revision: 371454
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 1.223-3.mga3
+ Revision: 304081
- fix RPM group

* Wed May 30 2012 jquelin <jquelin> 1.223-2.mga3
+ Revision: 251012
- rebuild for perl 5.16

* Mon Nov 21 2011 tv <tv> 1.223-1.mga2
+ Revision: 170225
- new release
- new release

* Sun Jun 12 2011 sander85 <sander85> 1.221-6.mga2
+ Revision: 104342
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.221-5.mga1
+ Revision: 32305
- mageia rebuild
- imported package perl-Pango

